Bug 219684 - ports-mgmt/portlint: change the CONFLICTS warnings
Summary: ports-mgmt/portlint: change the CONFLICTS warnings
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-31 12:34 UTC by Mathieu Arnold
Modified: 2017-07-22 01:52 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2017-05-31 12:34:33 UTC
Before pkg came along, different packages could have the same name, and it was ok, so we were forced to have CONFLICTS line looking like this:

CONFLICTS=     bind9*-9.[45678].* bind9*-sdb-9.[45678].* bind910-* bind911-* bind-tools-9.*

Now, all packages name must be different, so if one port conflicts with another, all it needs to say is:

CONFLICTS=     bind-tools bind9-devel bind910 bind911

But with this perfectly fine line, portlint says:

WARN: Conflict "bind-tools" specified too narrow. You should end it with a wildcard (-[0-9]*).
WARN: Conflict "bind9-devel" specified too narrow. You should end it with a wildcard (-[0-9]*).
WARN: Conflict "bind910" specified too narrow. You should end it with a wildcard (-[0-9]*).
WARN: Conflict "bind911" specified too narrow. You should end it with a wildcard (-[0-9]*).

Which is wrong, whilst adding -[0-9]* would work and do the same thing, it is unneeded, and it makes the conflicts lines so much harder to read.
Comment 1 commit-hook freebsd_committer 2017-06-04 22:25:19 UTC
A commit references this bug:

Author: marcus
Date: Sun Jun  4 22:24:30 UTC 2017
New revision: 442596
URL: https://svnweb.freebsd.org/changeset/ports/442596

Log:
  Update to 2.17.9

  * Remove a check for narrow conflicts now that we are in the post-pkg world [1]
  * Genericize the USES_ sorting code and check to see if NOT_FOR_ARCHS
    and ONLY_FOR_ARCHS are sorted. [2]
  * Fix the check for JAVALIBDIR so that it falls before the variable expansion
    code. [3]

  PR:		219684 [1]
  		218823 [2]
  		219360 [3]
  Submitted by:	eugen [3]

Changes:
  head/ports-mgmt/portlint/Makefile
  head/ports-mgmt/portlint/src/portlint.pl
Comment 2 Joe Marcus Clarke freebsd_committer 2017-06-04 22:31:33 UTC
Fixed in 2.17.9
Comment 3 Danilo G. Baio freebsd_committer 2017-06-06 23:27:12 UTC

Hi Mathieu and Joe.

Now is showing this:

> $ portlint -C
> [...]
> WARN: Conflict "bind-tools" specified too broad. You should end it with a version number fragment (-[0-9]*).
> WARN: Conflict "bind9-devel" specified too broad. You should end it with a version number fragment (-[0-9]*).
> WARN: Conflict "bind910" specified too broad. You should end it with a version number fragment (-[0-9]*).
> WARN: Conflict "bind911" specified too broad. You should end it with a version number fragment (-[0-9]*).
> [...]

This warning above should be removed as well, right ?

And thank you for updating portlint.

Regards.
Comment 4 Joe Marcus Clarke freebsd_committer 2017-06-15 18:41:51 UTC
I have made the change to my local repo.  Unless there's an objection, I'll commit to svn.
Comment 5 Joe Marcus Clarke freebsd_committer 2017-07-22 01:52:16 UTC
Fixed in 2.17.10.